Public Member Functions | Protected Member Functions

# GameScannerLibrary Class Reference

Inheritance diagram for GameScannerLibrary:

## Public Member Functions
void | Initialize ()
class GameLibrary * | FindLibrary (const char *library, int version)
| Find a library in the pool.
## Protected Member Functions
void | GetScriptName (ScriptInfo *info, char *name, int len)
| Get the script name how to store the script in memory.
const char * | GetFileName () const
| Get the filename to scan for this type of script.
Subdirectory | GetDirectory () const
| Get the directory to scan in.
const char * | GetScannerName () const
| Get the type of the script, in plural.
void | RegisterAPI (class Squirrel *engine)
| Register the API for this ScriptInfo.

## Detailed Description

Definition at line 39 of file game_scanner.hpp.

## Member Function Documentation

GameLibrary * GameScannerLibrary::FindLibrary | ( | const char * | library,
|  | int | version |
| ) |  |  |

Find a library in the pool.

Parameters:

  | library | The library name to find.
  | version | The version the library should have.

Returns:
  The library if found, NULL otherwise.

Definition at line 98 of file game_scanner.cpp.

References ScriptScanner::info_list, and strtolower().

Referenced by Game::FindLibrary().

The documentation for this class was generated from the following files:

- src/game/game_scanner.hpp
- src/game/game_scanner.cpp